Bug 214378 - net/remmina-plugin-rdp: please resurrect the port
Summary: net/remmina-plugin-rdp: please resurrect the port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-10 05:37 UTC by Koichiro Iwao
Modified: 2016-12-20 09:03 UTC (History)
3 users (show)

See Also:
woodsb02: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2016-11-10 05:37:34 UTC
Remmina 1.2.0 should be compatible with FreeRDP 1.2.0.
Comment 1 Ben Woods freebsd_committer 2016-12-11 08:13:12 UTC
Hi Koichiro, thanks for the bug report.

I am indeed trying to resurrect the net/remmina-plugin-rdp port, but there are still some clashes in versions of Remmina and FreeRDP which support each other.

The current state of Remmina v1.2.0-rcgit.16 is that it supports FreeRDP v2.0.0-pre-release up until 6th October 2016, where a LARGE number of commits were may to the FreeRDP github repository. Likely the last version of FreeRDP supported was GitHub commit bfdab0e.

There are a number of issues reported on the Remmina Github issues tracker regarding this problem. One such example is:
https://github.com/FreeRDP/Remmina/issues/1012

The general concensus is that we just have to wait a bit longer for Remmina to catch up to the current FreeRDP API.
Comment 2 timp87 2016-12-20 06:53:45 UTC
+1 for rdp plugin.
It should depend on just committed 2.0 freerdp, not outdated 1.2
Comment 3 timp87 2016-12-20 07:03:58 UTC
(In reply to Ben Woods from comment #1)
Ben, seems like they fixed the issue, look into the bug report you provided.
Comment 4 commit-hook freebsd_committer 2016-12-20 09:02:26 UTC
A commit references this bug:

Author: woodsb02
Date: Tue Dec 20 09:01:37 UTC 2016
New revision: 428980
URL: https://svnweb.freebsd.org/changeset/ports/428980

Log:
  net/remmina-plugin-rdp: Revive port

  PR:		214378
  Reported by:	Koichiro IWAO <meta+ports@vmeta.jp>
  Reported by:	timp87@gmail.com
  Approved by:	adamw (mentor, implicit)

Changes:
  head/MOVED
  head/net/Makefile
  head/net/remmina-plugin-rdp/
  head/net/remmina-plugin-rdp/Makefile
  head/net/remmina-plugins/Makefile
  head/net/remmina-plugins/bsd.plugin.mk
  head/net/remmina-plugins/distinfo
Comment 5 Ben Woods freebsd_committer 2016-12-20 09:03:24 UTC
Committed - thanks to Koichiro for suggesting the resurrection and to timp87@gmail.com for reporting the fix had been committed upstream.